> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Generic feature extraction



## OpenAPI

````yaml /api-reference/openapi.json post /v1/feature-extraction
openapi: 3.1.0
info:
  title: SynapsAI Inference API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/feature-extraction:
    post:
      summary: Generic feature extraction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeatureExtractionRequest'
      responses:
        '200':
          description: Feature extraction results
          content:
            application/json:
              schema:
                type: array
                items:
                  type: number
components:
  schemas:
    FeatureExtractionRequest:
      allOf:
        - type: object
          description: Generic feature extraction request taking positional args.
          properties:
            inputs:
              oneOf:
                - type: string
                - type: array
                  items:
                    type: string
              description: >-
                Inputs (string or list of strings) to drive the feature
                extraction operation. Required.
          required:
            - inputs

````